Subject: Re: linux-next: manual merge of the mfd tree with the i.MX tree

From: David Jander <[email-masked]>
Date: Tue, 1 Mar 2011 09:35:28 +0100

Hi Stephen,

On Tue, 1 Mar 2011 14:54:36 +1100
Stephen Rothwell <[email-masked]> wrote:
> Today's linux-next merge of the mfd tree got a conflict in
> arch/arm/mach-imx/mach-mx27_3ds.c arch/arm/mach-imx/mach-pcm038.c
> arch/arm/mach-mx3/mach-mx31_3ds.c arch/arm/mach-mx3/mach-mx31moboard.c
> between commit 5836372e8a0ba5cc633f61bc0484ee20c86f4b36 ("ARM: imx+mx3:
> convert to mc13xxx MFD") from the i.MX tree and commit
> e84e545d47d26644275a79fe5ebc1797bcb80910 ("mfd: mfd_cell is now
> implicitly available to mc13xxx drivers") from the mfd tree.
> 
> I fixed it up (I think - see below) and can carry the fix as necessary.

Your fix seems correct, although I fear I am too dumb to understand why commit
e84e545d47d26644275a79fe5ebc1797bcb80910 introduces this extra struct
nesting.... AFAICS gcc will end up doing the same as without the extra nest.

Btw, include/linux/mfd/mc13783.h should end up disappearing after you're done
merging... I hope so.

Best regards,

-- 
David Jander
Protonic Holland.